Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Oct 2019, 00:46
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
tahrpup 6.0.5 CE
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 42 of 119 [1777 Posts]   Goto page: Previous 1, 2, 3, ..., 40, 41, 42, 43, 44, ..., 117, 118, 119 Next
Author Message
oldyeller


Joined: 15 Nov 2011
Posts: 891
Location: Alaska

PostPosted: Fri 06 Feb 2015, 23:01    Post subject:  

Downloading tahrpup 6.0.2 pae will test and report back

Cheers
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Sat 07 Feb 2015, 04:03    Post subject: Re: tahrpup 6.0.2 CE
Subject description: update 6/2/2015
 

666philb wrote:
tahrpup has the open source 'brcmsmac' wireless drivers for modern broadcom devices, however some users may need the proprietary WL driver compiled by 'peebee' here https://www.copy.com/s/qWQ1BkPMDnPPFk7C

Hi 666philb

re: post #1

The Broadcom WL drivers for the updated 3.14.20 kernel hadn't been uploaded - but they are now.

Perhaps you could change post #1 to say it is the _2 pets that are needed for 6..0.2......

Thanks
peebee

broadcom_sta_v6.30.223.248_x86_32-k3.14.20_2_pae_tahr.pet
broadcom_sta_v6.30.223.248_x86_32-k3.14.20_2_nopae_tahr.pet

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
oldyeller


Joined: 15 Nov 2011
Posts: 891
Location: Alaska

PostPosted: Sat 07 Feb 2015, 09:33    Post subject:  

I like the changes that I see with ppm, also the right click options are nice. This is very good work. Will be using this one as my main os. Is there a wine that works best for this puppy?

Cheers
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3491
Location: wales

PostPosted: Sat 07 Feb 2015, 10:40    Post subject:  

thanks peebee ... done.
_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3491
Location: wales

PostPosted: Sat 07 Feb 2015, 10:40    Post subject:  

oldyeller wrote:
I like the changes that I see with ppm, also the right click options are nice. This is very good work. Will be using this one as my main os. Is there a wine that works best for this puppy?

Cheers


hi oldyeller there's wine in quickpet

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
totolanio

Joined: 03 Jan 2015
Posts: 202

PostPosted: Sat 07 Feb 2015, 13:24    Post subject:  

So, if we already installed some of the new programs you added, we just have to uninstall them ? before or after upgrading ?

Quote:
also the right click options are nice

?? The lx-right-click is included ? it's not in the changelog

_________________
Main puppy used : LxPup tahr.
Multiple package installer/remover.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3491
Location: wales

PostPosted: Sat 07 Feb 2015, 14:11    Post subject:  

totolanio wrote:
So, if we already installed some of the new programs you added, we just have to uninstall them ? before or after upgrading ?

Quote:
also the right click options are nice

?? The lx-right-click is included ? it's not in the changelog


all the programs you've got installed are fine ..... you can use the the same savefile.

the right clicks have always been in tahrpup ... they are for rox-filer. lxpup uses a different filemanager

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
totolanio

Joined: 03 Jan 2015
Posts: 202

PostPosted: Sat 07 Feb 2015, 14:30    Post subject:  

a ok !

But I meant, what's the point of having the same program twice...

_________________
Main puppy used : LxPup tahr.
Multiple package installer/remover.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3491
Location: wales

PostPosted: Sat 07 Feb 2015, 14:31    Post subject:  

you'll have to explain what you mean
_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
totolanio

Joined: 03 Jan 2015
Posts: 202

PostPosted: Sat 07 Feb 2015, 14:41    Post subject:  

ok thank you
_________________
Main puppy used : LxPup tahr.
Multiple package installer/remover.
Back to top
View user's profile Send private message 
Illutorium

Joined: 06 Aug 2014
Posts: 161

PostPosted: Sat 07 Feb 2015, 19:35    Post subject:  

scabz wrote:
MPlayer i used
Code:
./configure --prefix=/usr --enable-runtime-cpudetection --confdir=/etc/mplayer --enable-dynamic-plugins --enable-menu --enable-gui --target=i686-linux --enable-radio --enable-radio-capture --enable-radio-v4l2 --enable-tv-v4l2 --enable-pvr --enable-libdirac-lavc


it pulls ffmpeg and compiles it in static also includes mencoder


I tried from a Official site as a Static (named as "ffmpeg" and dropped to a mplayer folder,I even tried with a /usr/bin)... When It's does at ended to:

Checking for FFmpeg ... Compiling without FFmpeg is currently not supported/working.
Please contact us if that is an issue for you.
Error: both internal and external FFmpeg missing

Command: ./configure --prefix=/usr --enable-runtime-cpudetection --confdir=/etc/mplayer --enable-menu --disable-mencoder --target=i686-pc-linux-gnu --enable-radio --enable-radio-capture --disable-ffmpeg_so

(ffmpeg_so is a Shared when a Static only is depended to disable...)
(mencoder is a optional if be can only play [MPlayer it's does a depend only for gnome-mplayer],When ffmpeg is will be depend if it will be Convert,Mplayer? Doesn't be depend...)
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 366
Location: Tallahassee FL US

PostPosted: Sat 07 Feb 2015, 20:33    Post subject:  

as i was checking tharpup 6.0.2 i did lean that for pburn it needs ffmpeg for alot of actions, needed to burn a cd, so here is ffmpeg compiled as shared disabled static, it is alot smaller than that 100M static version posted in the bugs thread, this ffmpeg is 15M installed.
Code:
./configure --prefix=/usr --enable-shared --disable-static --disable-debug --enable-libass --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libvpx --enable-libx264 --enable-x11grab --docdir=/usr/share/doc/ffmpeg-2.5.3 --enable-gpl

ffmpeg-2.5.3-i386.pet 6M

and here is mplayer for the shared ffmpeg, doesnt include mencoder.
this is for testing and if you need more features let me know. compiled shared disabled static ffmpeg.
Code:
./configure --prefix=/usr --enable-runtime-cpudetection --confdir=/etc/mplayer --enable-menu --enable-gui --target=i686-linux --language-doc=en --language-man=en --language-msg=en --language=en --disable-ffmpeg_a --disable-mencoder --enable-dynamic-plugins --enable-rpath

mplayer-export-2015-01-26-i686.pet 2M
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
Illutorium

Joined: 06 Aug 2014
Posts: 161

PostPosted: Sat 07 Feb 2015, 23:41    Post subject:  

scabz wrote:
as i was checking tharpup 6.0.2 i did lean that for pburn it needs ffmpeg for alot of actions, needed to burn a cd, so here is ffmpeg compiled as shared disabled static, it is alot smaller than that 100M static version posted in the bugs thread, this ffmpeg is 15M installed.
Code:
./configure --prefix=/usr --enable-shared --disable-static --disable-debug --enable-libass --enable-libmp3lame --enable-libtheora --enable-libvorbis --enable-libvpx --enable-libx264 --enable-x11grab --docdir=/usr/share/doc/ffmpeg-2.5.3 --enable-gpl

ffmpeg-2.5.3-i386.pet 6M

and here is mplayer for the shared ffmpeg, doesnt include mencoder.
this is for testing and if you need more features let me know. compiled shared disabled static ffmpeg.
Code:
./configure --prefix=/usr --enable-runtime-cpudetection --confdir=/etc/mplayer --enable-menu --enable-gui --target=i686-linux --language-doc=en --language-man=en --language-msg=en --language=en --disable-ffmpeg_a --disable-mencoder --enable-dynamic-plugins --enable-rpath

mplayer-export-2015-01-26-i686.pet 2M


Okay... FFMpeg does a compile at pass... (without libass)
But I can be have problem with a Daily MPlayer... -> "Error: libavutil/x86/asm.h header is required for shared FFmpeg" (With a Shared FFMpeg instead of Static)
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 366
Location: Tallahassee FL US

PostPosted: Sat 07 Feb 2015, 23:54    Post subject:  

Illutorium if you compiled ffmpeg then then you already have asm.h which is required to compile mplayer with shared ffmpeg.

Sorry bro i do not feel i need to teach you how to compile, you can figure it out you are close.
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
scabz


Joined: 30 Apr 2009
Posts: 366
Location: Tallahassee FL US

PostPosted: Sun 08 Feb 2015, 14:38    Post subject:  

@666philb

I finally got around to compiling Qt5, this is for testing purposes and doesnt include Qtwebkit. Qtwebkit requires ICU for Unicode and will not compile or run with out it if you can include ICU as a bugfix or something then i can recompile with Qtwebkit. Really ICU should be included anyway.
Code:
./configure -prefix /usr -bindir /usr/lib/qt5/bin -plugindir /usr/lib/qt5/plugins -importdir /usr/lib/qt5/imports -headerdir /usr/include/qt5 -datadir /usr/share/qt5 -sysconfdir /etc/xdg -docdir /usr/share/doc/qt5 -examplesdir /usr/share/doc/qt5/examples -translationdir /usr/share/qt5/translations -confirm-license -opensource -release -nomake examples -qt-xcb

Code:
Build type:    linux-g++ (i386, CPU features:)
Platform notes:

            - Also available for Linux: linux-kcc linux-icc linux-cxx
       
Build options:
  Configuration .......... accessibility accessibility-atspi-bridge alsa audio-backend avx c++11 clock-gettime clock-monotonic compile_examples concurrent cups dbus directfb egl eglfs evdev eventfd fontconfig full-config getaddrinfo getifaddrs glib gtk2 gtkstyle iconv inotify ipv6ifname large-config largefile libudev linuxfb medium-config minimal-config mremap mtdev nis no-harfbuzz opengl openssl pcre png posix_fallocate precompile_header qpa qpa reduce_exports reduce_relocations release rpath shared small-config sse2 sse3 sse4_1 sse4_2 ssse3 system-freetype system-jpeg system-png system-zlib xcb xcb-qt xcb-sm xcb-xlib xinput2 xkbcommon-qt xlib xrender
  Build parts ............ libs tools
  Mode ................... release
  Using C++11 ............ yes
  Using PCH .............. yes
  Target compiler supports:
    SSE2/SSE3/SSSE3 ...... yes/yes/yes
    SSE4.1/SSE4.2 ........ yes/yes
    AVX/AVX2 ............. yes/no

Qt modules and options:
  Qt D-Bus ............... yes (loading dbus-1 at runtime)
  Qt Concurrent .......... yes
  Qt GUI ................. yes
  Qt Widgets ............. yes
  JavaScriptCore JIT ..... yes (To be decided by JavaScriptCore)
  QML debugging .......... yes
  Use system proxies ..... no

Support enabled for:
  Accessibility .......... yes
  ALSA ................... yes
  CUPS ................... yes
  FontConfig ............. yes
  FreeType ............... system
  Iconv .................. yes
  ICU .................... no
  Image formats:
    GIF .................. yes (plugin, using bundled copy)
    JPEG ................. yes (plugin, using system library)
    PNG .................. yes (in QtGui, using system library)
  Glib ................... yes
  GTK theme .............. yes
  Large File ............. yes
  mtdev .................. yes (system library)
  Networking:
    getaddrinfo .......... yes
    getifaddrs ........... yes
    IPv6 ifname .......... yes
    OpenSSL .............. yes (loading libraries at run-time)
  NIS .................... yes
  OpenGL ................. desktop
  OpenVG ................. no
  PCRE ................... yes (bundled copy)
  pkg-config ............. yes
  PulseAudio ............. no
  QPA backends:
    DirectFB ............. yes
    EGLFS ................ yes
    KMS .................. no
    LinuxFB .............. yes
    XCB .................. yes (bundled copy)
      MIT-SHM ............ yes
      Xcb-Xlib ........... yes
      Xcursor ............ yes (loaded at runtime)
      Xfixes ............. yes (loaded at runtime)
      Xi ................. no
      Xi2 ................ yes
      Xinerama ........... yes (loaded at runtime)
      Xrandr ............. yes (loaded at runtime)
      Xrender ............ yes
      XKB ................ yes
      XShape ............. yes
      XSync .............. yes
      XVideo ............. yes
  Session management ..... yes
  SQL drivers:
    DB2 .................. no
    InterBase ............ no
    MySQL ................ no
    OCI .................. no
    ODBC ................. no
    PostgreSQL ........... no
    SQLite 2 ............. no
    SQLite ............... yes (plugin, using bundled copy)
    TDS .................. no
  udev ................... yes
  xkbcommon .............. yes (bundled copy)
  zlib ................... yes (system library)

qt-5.2.1-i386.sfs 25MB or qt-5.2.1-i386.pet 25MB "This Qt5 is only for tahrpup and ubuntu's directory structure"

Here is the development SFS
qt_DEV-5.2.1-i386.sfs 12MB

What is Qt5 with out apps to use it so i compiled SMplayer and SMtube


smplayer-qt5-14.9.0.6690-i686.pet "requires Mplayer you can use my mplayer and ffmpeg from post above or use my mplayer with builtin ffmpeg from" http://www.murga-linux.com/puppy/viewtopic.php?t=96178&start=585
smtube-qt5-15.1.0-i686.pet "Can be used with Smplayer Vlc Mplayer and so on."

--edited my config line left a option out and removed a wrong one

Last edited by scabz on Mon 09 Feb 2015, 12:33; edited 1 time in total
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 42 of 119 [1777 Posts]   Goto page: Previous 1, 2, 3, ..., 40, 41, 42, 43, 44, ..., 117, 118, 119 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0904s ][ Queries: 13 (0.0260s) ][ GZIP on ]